harmony-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Sean Qiu <sean.xx....@gmail.com>
Subject Re: [java6] Build error about HYTHR 0.2
Date Thu, 19 Mar 2009 09:02:15 GMT
2009/3/19 Mark Hindess <mark.hindess@googlemail.com>
>
> In message <94d710af0903182148y48a23bcbs5bd33ec5b3050840@mail.gmail.com>,
> Sean Qiu writes:
> >
> > Hi, All
> >
> > I'm trying to merge latest updates in M9 to our Java6 branch.
>
> Cool.  I'd started doing this but I'd only tested the classlib build so
> far.  (In fact, I'm not even sure how the java6 federation builds are
> setup.  I assume you manually svn switch working_classlib to the branch?)
>

You're right. :-)

> > I get following error messages while building  hdk.
> >
> > 1. ant -Dhy.no.thr=true
> > I got following error while running the test,
> >
> > /hdk/jdk/jre/bin/libhythr.so: version `HYTHR_0.2' not found (required by
> > /hdk/jdk/jre/bin/libhyprt.so)
> > failed to open hyprt library.
>
> This is to be expected.  DRLVM does not support the 0.2 thread api (yet?).

>
> > 2. ant
> > I can't build the classlib at all, it got following
> >
> >      [exec]     ../shared/main.o ../shared/cmain.o
> > ../shared/launcher_copyright.o ../shared/strbuf.o ../shared/libhlp.o
> > -Xlinker --start-group
> > -L/home/xiaoxia/checkout/hdk6/working_classlib/deploy/lib/
> > -L/home/xiaoxia/checkout/hdk6/working_classlib/deploy/jdk/jre/bin/
> > /home/xiaoxia/checkout/hdk6/working_classlib/deploy/lib/libhycommon.a
> > -lhythr -lhyprt -Xlinker --end-group -o ../java -lc -lm -ldl \
> >      [exec]     -Xlinker -z -Xlinker origin -Xlinker -rpath -Xlinker
> > \$ORIGIN/ -Xlinker -rpath-link -Xlinker
> > -L/home/xiaoxia/checkout/hdk6/working_classlib/deploy/jdk/jre/bin
> >      [exec] ../shared/main.o: In function `addDirsToPath':
> >      [exec]
> > /home/xiaoxia/checkout/hdk6/working_classlib/modules/luni/src/main/native/lau
> > ncher/unix/../shared/main.c:1071:
> > undefined reference to `main_get_executable_name'
>

Yes, it could be successfully built with -Dhy.no.thread=true as I
indicated in 1.

> The main_* functions are only defined/required if you built the .o files with
> HY_NO_THR defined.  But this should only happen if you set -Dhy.no.thread=true.
> You'd probably get this kind of error if you tried to build with
> -Dhy.no.thread=true and then build with -Dhy.no.thread=false without doing a

Is that what we do while building federated build?
The solution seems unnatural to me...

Since HYTHR_0.2 is not supported yet, we'd better make sure the
default building script can be successful at least.
Does it make sense?  Or am I missing something?


> clean.
> h
> Regards,
>  Mark.
>
>
>
>



--
Best Regards
Sean, Xiao Xia Qiu

Mime
View raw message